Update Role
This API operation updates the details of a role using its unique ID. The request body must contain the updated role details.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
roleId
ID of the role
Request
The request body for updating a user
name
The name of the role
permissionGrants
The permissions of the role
accessConditions
The condition of the role, keyed by name
restoreDestinationLimits
Limits the restore accounts that can be used as restore destinations for operations granted by the role.
Response
Role updated.
role
Role.
Errors
404
Not Found Error